http://iot.{region}.amazonaws.com/provisioning-templates/{templateName}<p>Updates a provisioning template.</p> <p>Requires permission to access the <a href="https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions">UpdateProvisioningTemplate</a> action.</p>
The name of the provisioning template.
True to enable the provisioning template, otherwise false.
The description of the provisioning template.
The ID of the default provisioning template version.
Structure that contains <code>payloadVersion</code> and <code>targetArn</code>.
The ARN of the role associated with the provisioning template. This IoT role grants permission to provision a device.
Removes pre-provisioning hook template.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'http://iot.{region}.amazonaws.com/provisioning-templates/{templateName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}http://iot.{region}.amazonaws.com/provisioning-templates/{templateName}<p>Updates a provisioning template.</p> <p>Requires permission to access the <a href="https://docs.aws.amazon.com/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions">UpdateProvisioningTemplate</a> action.</p>
The name of the provisioning template.
True to enable the provisioning template, otherwise false.
The description of the provisioning template.
The ID of the default provisioning template version.
Structure that contains <code>payloadVersion</code> and <code>targetArn</code>.
The ARN of the role associated with the provisioning template. This IoT role grants permission to provision a device.
Removes pre-provisioning hook template.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request PATCH \2 --url 'http://iot.{region}.amazonaws.com/provisioning-templates/{templateName}' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}